#
# spec file for package python-azure-servicefabric
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-azure-servicefabric
Version:        6.0.2
Release:        lp150.1.2
Summary:        Microsoft Azure Service Fabric Client Library
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-servicefabric/azure-servicefabric-%{version}.zip
Source1:        LICENSE.txt
Patch1:         as_drop-compatible-releases-operator.patch
BuildRequires:  %{python_module azure-nspkg}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-azure-common < 2.0.0
Requires:       python-azure-common >= 1.1
Requires:       python-azure-nspkg
Requires:       python-msrest < 1.0.0
Requires:       python-msrest >= 0.4.11
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
This is the Microsoft Azure Service Fabric Client Library.

Azure Resource Manager (ARM) is the next generation of management APIs that
replace the old Azure Service Management (ASM).

This package has been tested with Python 2.7, 3.3, 3.4, 3.5 and 3.6.

%prep
%setup -q -n azure-servicefabric-%{version}
%patch1 -p1

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-servicefabric-%{version}
%python_build

%install
%python_install
%{python_expand # delete common files
rm -rf %{buildroot}%{$python_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/__pycache__
}

%files %{python_files}
%defattr(-,root,root,-)
%doc HISTORY.rst LICENSE.txt README.rst
%{python_sitelib}/azure/servicefabric
%{python_sitelib}/azure_servicefabric-*.egg-info

%changelog
* Mon Jan 22 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 6.0.2
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Install HISTORY.rst into doc directory
* Wed Oct  4 2017 adrian.glaubitz@suse.com
- New upstream release
  + Version 6.0.1
- Refresh patches for new version
  + as_drop-compatible-releases-operator.patch
- Remove versioning for namespace packages in Requires
- Update Requires from setup.py
- Update Summary from README.rst
- Update %%description from README.rst
- Add namespace packages to BuildRequires
- Remove namespace files in %%install target
- Explicitly specify Python files of the package in %%files
* Wed Jul 26 2017 adrian.glaubitz@suse.com
- Add python-azure-nspkg to Requires
* Tue Jul 25 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 5.6.130
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + as_drop-compatible-releases-operator.patch
